Page MenuHomePhabricator

Add support for vmsumudm
ClosedPublic

Authored by saghir on May 20 2020, 6:35 AM.

Details

Summary

This patch adds support for Vector Multiply-Sum Unsigned Doubleword Modulo instruction; vmsumudm.
This instruction is available on POWER 9.

Diff Detail

Event Timeline

saghir created this revision.May 20 2020, 6:35 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptMay 20 2020, 6:35 AM
saghir updated this revision to Diff 265281.May 20 2020, 9:43 AM

Added vec_msum builtin for vmsumudm.

saghir edited the summary of this revision. (Show Details)May 20 2020, 9:45 AM
saghir updated this revision to Diff 265332.May 20 2020, 1:32 PM
saghir edited the summary of this revision. (Show Details)

Removing the builtin support.

amyk added a comment.May 20 2020, 5:13 PM

I think this overall looks good, but just curious, why was the builtin support removed?

I think this overall looks good, but just curious, why was the builtin support removed?

I was hitting some errors with that, so removed it and would add that later on.

amyk added inline comments.May 21 2020, 3:29 PM
llvm/lib/Target/PowerPC/PPCInstrAltivec.td
1365

Maybe we can put this definition near the other VMSUM instructions? Since it's also nearby them in BuiltinsPPC.def and IntrinsicsPowerPC.td.

saghir marked an inline comment as done.May 21 2020, 4:41 PM
saghir added inline comments.
llvm/lib/Target/PowerPC/PPCInstrAltivec.td
1365

This needed to be in the block for Power9 Altivec instructions, the other vmsum instructions are outside the P9 block.

nemanjai accepted this revision.May 22 2020, 2:52 AM

LGTM.

This revision is now accepted and ready to land.May 22 2020, 2:52 AM
amyk accepted this revision.May 22 2020, 6:51 AM

Thanks for explaining. This LGTM.

This revision was automatically updated to reflect the committed changes.